Package nl.tudelft.simulation.dsol.animation.gis.map

## Class MapImage

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.MapImage

All Implemented Interfaces:
  `Serializable`, `MapImageInterface`

    public class MapImage
    extends Object
    implements MapImageInterface

This class defines the image as defined in the map.

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MapImage()` constructs a new Image.

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getBackgroundColor()` Getter for property backgroundColor.
`Dimension` `getSize()` Getter for property size.
`void` `setBackgroundColor​(Color backgroundColor)` Setter for property backgroundColor.
`void` `setSize​(Dimension size)` Setter for property size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapImage

    public MapImage()

constructs a new Image.

### Method Detail

#### getBackgroundColor

    public Color getBackgroundColor()

Getter for property backgroundColor.

Specified by:
  `getBackgroundColor` in interface `MapImageInterface`
Returns:
  Color the value of property backgroundColor.

#### getSize

    public Dimension getSize()

Getter for property size.

Specified by:
  `getSize` in interface `MapImageInterface`
Returns:
  Dimension the value of property size.

#### setBackgroundColor

    public void setBackgroundColor​(Color backgroundColor)

Setter for property backgroundColor.

Specified by:
  `setBackgroundColor` in interface `MapImageInterface`
Parameters:
  `backgroundColor` - Color; New value of property backgroundColor.

#### setSize

    public void setSize​(Dimension size)

Setter for property size.

Specified by:
  `setSize` in interface `MapImageInterface`
Parameters:
  `size` - Dimension; New value of property size.